consistency groups cinder

Bug #1400392 reported by Raj Jadhav on 2014-12-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openstack-manuals
Undecided
Xing Yang

Bug Description

How to configure the consistency group in cinder juno.
what changes required in the conf files.

not able to create the consistency group.
Can you forward the steps or link to create it.
Error :
consistency groups returned with HTTP 202

consisgroup-list showing error in status consistency groups returned with HTTP 202

-----------------------------------
Built: 2014-12-05T20:33:33 00:00
git SHA: f0f0a3f7a8618fdfa0cc0a4a7a746833b4621565
URL: http://docs.openstack.org/juno/install-guide/install/yum/content/ch_basic_environment.html
source File: file:/home/jenkins/workspace/openstack-manuals-tox-doc-publishdocs/doc/install-guide/ch_basic_environment.xml
xml:id: ch_basic_environment

Tom Fifield (fifieldt) wrote :

This is not a security issue, marking public.

information type: Private Security → Public
Matt Kassawara (ionosphere80) wrote :

Not an installation guide issue. For support, please use the following channels:

http://docs.openstack.org/juno/install-guide/install/apt/content/app_community_support.html

Changed in openstack-manuals:
status: New → Invalid
Xing Yang (xing-yang) wrote :

I'll add doc to consistency groups.

Changed in openstack-manuals:
assignee: nobody → Xing Yang (xing-yang)
Xing Yang (xing-yang) wrote :

Not sure which Cinder driver you were trying to use. In Juno, there's only one Cinder driver that supports consistency groups. That is the EMC VNX Cinder driver. More drivers will add this support in Kilo.

Hi i am going to develop my new driver for that.
so i am trying that consistency group realted stuff.

just let me knw the steps for creating consistency group or how to
integrate with driver.
On Dec 10, 2014 10:15 PM, "Xing Yang" <email address hidden> wrote:

> I'll add doc to consistency groups.
>
> ** Changed in: openstack-manuals
> Assignee: (unassigned) => Xing Yang (xing-yang)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1400392
>
> Title:
> consistency groups cinder
>
> Status in OpenStack Manuals:
> Invalid
>
> Bug description:
> How to configure the consistency group in cinder juno.
> what changes required in the conf files.
>
> not able to create the consistency group.
> Can you forward the steps or link to create it.
> Error :
> consistency groups returned with HTTP 202
>
> consisgroup-list showing error in status consistency groups returned
> with HTTP 202
>
> -----------------------------------
> Built: 2014-12-05T20:33:33 00:00
> git SHA: f0f0a3f7a8618fdfa0cc0a4a7a746833b4621565
> URL:
> http://docs.openstack.org/juno/install-guide/install/yum/content/ch_basic_environment.html
> source File:
> file:/home/jenkins/workspace/openstack-manuals-tox-doc-publishdocs/doc/install-guide/ch_basic_environment.xml
> xml:id: ch_basic_environment
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/openstack-manuals/+bug/1400392/+subscriptions
>

Raj Jadhav (royjadhav) wrote :

If possible can you list the files need to change in cinder/volume/* to add
replication support to own driver.

On Wed, Dec 10, 2014 at 10:32 PM, Roy Jadhav <email address hidden> wrote:

> Hi i am going to develop my new driver for that.
> so i am trying that consistency group realted stuff.
>
> just let me knw the steps for creating consistency group or how to
> integrate with driver.
> On Dec 10, 2014 10:15 PM, "Xing Yang" <email address hidden> wrote:
>
>> I'll add doc to consistency groups.
>>
>> ** Changed in: openstack-manuals
>> Assignee: (unassigned) => Xing Yang (xing-yang)
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1400392
>>
>> Title:
>> consistency groups cinder
>>
>> Status in OpenStack Manuals:
>> Invalid
>>
>> Bug description:
>> How to configure the consistency group in cinder juno.
>> what changes required in the conf files.
>>
>> not able to create the consistency group.
>> Can you forward the steps or link to create it.
>> Error :
>> consistency groups returned with HTTP 202
>>
>> consisgroup-list showing error in status consistency groups returned
>> with HTTP 202
>>
>> -----------------------------------
>> Built: 2014-12-05T20:33:33 00:00
>> git SHA: f0f0a3f7a8618fdfa0cc0a4a7a746833b4621565
>> URL:
>> http://docs.openstack.org/juno/install-guide/install/yum/content/ch_basic_environment.html
>> source File:
>> file:/home/jenkins/workspace/openstack-manuals-tox-doc-publishdocs/doc/install-guide/ch_basic_environment.xml
>> xml:id: ch_basic_environment
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/openstack-manuals/+bug/1400392/+subscriptions
>>
>

Xing Yang (xing-yang) wrote :

What driver are you working on? Which array does it support?

Please take a look of this patch which added consistency group support to the VNX direct driver:
https://review.openstack.org/#/c/114105/

Volume replication is not integrated with consistency group yet.

The following patch introduced consistency group support into Cinder. The commit message has a lot of details on how to create CG, etc.

https://review.openstack.org/#/c/104732/

Also bug report is not the right place for development questions. You can ping me on Cinder IRC. My nick is xyang.

Raj Jadhav (royjadhav) wrote :

I am adding support to lvm driver. I need the step or other things to add
support to driver.

can you list the cinder cmd for create volume with replication support.

If i want to add volume level replication support to driver.
which conf files need changes.

Have any code realted to replication support implemented.
On Dec 12, 2014 12:50 PM, "Xing Yang" <email address hidden> wrote:

> What driver are you working on? Which array does it support?
>
> Please take a look of this patch which added consistency group support to
> the VNX direct driver:
> https://review.openstack.org/#/c/114105/
>
> Volume replication is not integrated with consistency group yet.
>
> The following patch introduced consistency group support into Cinder.
> The commit message has a lot of details on how to create CG, etc.
>
> https://review.openstack.org/#/c/104732/
>
> Also bug report is not the right place for development questions. You
> can ping me on Cinder IRC. My nick is xyang.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1400392
>
> Title:
> consistency groups cinder
>
> Status in OpenStack Manuals:
> Invalid
>
> Bug description:
> How to configure the consistency group in cinder juno.
> what changes required in the conf files.
>
> not able to create the consistency group.
> Can you forward the steps or link to create it.
> Error :
> consistency groups returned with HTTP 202
>
> consisgroup-list showing error in status consistency groups returned
> with HTTP 202
>
> -----------------------------------
> Built: 2014-12-05T20:33:33 00:00
> git SHA: f0f0a3f7a8618fdfa0cc0a4a7a746833b4621565
> URL:
> http://docs.openstack.org/juno/install-guide/install/yum/content/ch_basic_environment.html
> source File:
> file:/home/jenkins/workspace/openstack-manuals-tox-doc-publishdocs/doc/install-guide/ch_basic_environment.xml
> xml:id: ch_basic_environment
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/openstack-manuals/+bug/1400392/+subscriptions
>

Fix proposed to branch: master
Review: https://review.openstack.org/144404

Changed in openstack-manuals:
status: Invalid → In Progress

Reviewed: https://review.openstack.org/144404
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=aee628806ca2066f6ac04dd5928e5f4a5c571f7b
Submitter: Jenkins
Branch: master

commit aee628806ca2066f6ac04dd5928e5f4a5c571f7b
Author: Xing Yang <email address hidden>
Date: Tue Dec 30 00:41:45 2014 -0500

    Add document for consistency groups

    Consistency group support was added to Cinder in Juno, but
    document has not been provided. This patch is to add document
    on how to use the consistency group feature.

    Backport: Juno

    Change-Id: I99c380027fc854674c3ec6b87336f5a920155dac
    Closes-Bug: #1400392

Changed in openstack-manuals:
status: In Progress → Fix Released

This issue was fixed in the openstack/openstack-manuals 15.0.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers